ATTIMER(4) | Device Drivers Manual | ATTIMER(4)

# NAME

`attimer` —
AT Timer (8253) driver

# SYNOPSIS

`attimer* at acpi?`
`attimer0 at isa?`

# DESCRIPTION

The `attimer` driver handles the so-called AT Timer device, initially found as chip model 8253. It is used as the main counter for the clock on the i386 port, but also offers control over the pitch of the PC speaker.

The `attimer` driver currently only implements the access to the ISA register “TIMER1” which controls the pitch of the PC speaker, and should be configured along with pcppi(4) to be of any actual use.

# SEE ALSO

acpi(4), isa(4), pcppi(4)

March 22, 2005 | NetBSD 10.1